﻿Public Class Form3

    #Region "Sub Btn_OK_Click : OKボタンのクリック."
        Private Sub Btn_OK_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_OK.Click
            Try
                ' ポート番号.
                ClsPub_POP3.Port = Me.NumericUpDown3.Value

                ' 受信タイムアウト.
                ClsPub_POP3.ReceiveTimeout = Me.NumericUpDown1.Value
                ' 送信時タイムアウト.
                ClsPub_POP3.SendTimeout = Me.NumericUpDown2.Value

                If Me.RadioButton1.Checked Then
                    ' NTLM-USER、PASS認証.
                    ClsPub_POP3.AttestationStyle = NSDPOP3.POP3_Attestation_Style.NTLM_UserPass
                ElseIf Me.RadioButton2.Checked Then
                    ' USER、PASS認証.
                    ClsPub_POP3.AttestationStyle = NSDPOP3.POP3_Attestation_Style.UserPassOnly
                Else
                    ' NTLM認証.
                    ClsPub_POP3.AttestationStyle = NSDPOP3.POP3_Attestation_Style.NTLM
                End If

                ' フォームをクローズします.
                Me.Close
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub Form3_Load : Loadイベント."
        Private Sub Form3_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
            Try
                ' ポート番号.
                Me.NumericUpDown3.Value = ClsPub_POP3.Port

                ' 受信タイムアウト.
                Me.NumericUpDown1.Value = ClsPub_POP3.ReceiveTimeout
                ' 送信時タイムアウト.
                Me.NumericUpDown2.Value = ClsPub_POP3.SendTimeout

                Select Case ClsPub_POP3.AttestationStyle
                    Case NSDPOP3.POP3_Attestation_Style.NTLM_UserPass
                        ' NTLM-USER、PASS認証.
                        Me.RadioButton1.Checked = True
                    Case NSDPOP3.POP3_Attestation_Style.UserPassOnly
                        ' USER、PASS認証.
                        Me.RadioButton2.Checked = True
                    Case NSDPOP3.POP3_Attestation_Style.NTLM
                        ' NTLM認証.
                        Me.RadioButton3.Checked = True
                End Select

            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region
End Class